package com.philisense.www.service.impl;

import com.philisense.www.api.EmailCodeSender;
import com.philisense.www.exception.UtilsException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class MyEmailCodeSenderImpl implements EmailCodeSender {
    private static final Logger log = LoggerFactory.getLogger(MyEmailCodeSenderImpl.class);

    @Override
    public void send(String email, String code, boolean required) throws UtilsException {
        log.info("向邮箱号{}，发送了邮件校验码{}", email, code);
        Map<String, Object> messageMap = new HashMap<>();
        messageMap.put("email", email);
        messageMap.put("code", code);
//        asyncTaskMailService.workflowSendHtmlEmailTask(email, "验证码获取", messageMap);
    }
}
